import http from "http";
import express from "express";
import { Server } from "socket.io";

const app = express();
const server = http.createServer(app);
const io = new Server(server);

app.use(express.static("static"));

io.on("connection", (socket) => {
  console.log(`${socket.id} connected`);
  io.emit("text", `${socket.id} connected`);

  socket.on("text", (data) => {
    console.log(`${socket.id}: ${data}`);
    io.emit("text", `${socket.id}: ${data}`);
  });

  socket.on("disconnect", () => {
    console.log(`${socket.id} disconnected`);
    io.emit("text", `${socket.id} disconnected`);
  });
});

server.listen(3003);
